<?  // PHPmyGallery - globals & predefined constants

/* File description:
    
    This file holds globals for the script and predefined constants
    which may be used throughout the scripts. 
    
*/

// Named Constants are not only used within functions,
// every script can use them, including Plug-Ins

// Function to generate enums (as listet in PHP documentation)
function enum() {
    $ArgC    = func_num_args();
    $ArgV    = func_get_args();
    for($Int = 0; $Int < $ArgC; $Int++) define($ArgV[$Int], $Int);
}


/* Declare used defines and enums for the scripts */

define('SCRIPT_NAME',   'PHPmyGallery');
define('SCRIPT_VERSION','1.51.010');

enum('METADATA','PICSDATA');

// Defines for filenames2arr
enum('GROUPS','DIRECTORIES','IMAGES','PLUGINS');

// Defines for statistics
enum('STATS_GROUPS','STATS_GALLERIES','STATS_PICS');

// Defines for findArrayNeighbourhood();
enum('FIRSTVALUE','PREVIOUSVALUE','NEXTVALUE','LASTVALUE','VALUEFOUNDAT','VALUEFOUNDATNUMBER');
define('VALUENOTFOUND',0);
 
?>
